clogger 1.1.0 - more escaping!v1.1.0
authorEric Wong <normalperson@yhbt.net>
Tue, 6 Dec 2011 02:52:21 +0000 (5 18:52 -0800)
committerEric Wong <normalperson@yhbt.net>
Tue, 6 Dec 2011 02:57:40 +0000 (5 18:57 -0800)
This release fixes potential vulnerabilities when escape
sequences are viewed in certain terminals.

The 0x7F-0xFF byte range is escaped to match behavior of nginx
1.0.9+, as some character sets may have escape characters in
that range.

$cookie_* values are now escaped to be consistent with the
behavior of the $http_cookie value.  All users of $cookie_* in
their log format must upgrade (of course there may be no
Clogger users other than myself, and I don't use $cookie_*)

GIT-VERSION-GEN

index 7d0c7ed..4251f36 100755 (executable)
@@ -1,7 +1,7 @@
 #!/bin/sh
 
 GVF=GIT-VERSION-FILE
-DEF_VER=v1.0.1.GIT
+DEF_VER=v1.1.0.GIT
 
 LF='
 '